### Class

# Pos StyleManager

#### Description [src]

    final class Pos.StyleManager : GObject.Object
    {
      /* No available fields */
    }

The style manager is responsible for picking style sheets and themes and notifying other parts of the shell about changes.

#### Ancestors

- GObject

#### Constructors

###### pos_style_manager_new

No description available.

#### Functions

###### pos_style_manager_get_stylesheet

Get the proper style sheet based on the given theme name.

#### Instance methods

###### pos_style_manager_get_theme_name

`self`; The style manager Get the current theme manem.

###### pos_style_manager_is_high_contrast

`self`; The style manager Get the current theme manem.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Pos.StyleManager:theme-name

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PosStyleManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.